Rapid7 Vulnerability & Exploit Database

FFmpeg: CVE-2005-4048: Improper Restriction of Operations within the Bounds of a Memory Buffer

Back to Search

FFmpeg: CVE-2005-4048: Improper Restriction of Operations within the Bounds of a Memory Buffer

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
12/07/2005
Created
07/25/2018
Added
09/29/2017
Modified
05/09/2019

Description

Heap-based buffer overflow in the avcodec_default_get_buffer function (utils.c) in FFmpeg libavcodec 0.4.9-pre1 and earlier, as used in products such as (1) mplayer, (2) xine-lib, (3) Xmovie, and (4) GStreamer, allows remote attackers to execute arbitrary commands via small PNG images with palettes.

Solution(s)

  • ffmpeg-upgrade-0_4_9

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;